Skip to main content
POST
/
conversations
/
providers
/
live-chat
/
typing
Agent/Ai-Bot is typing a message indicator for live chat
curl --request POST \
  --url https://services.leadconnectorhq.com/conversations/providers/live-chat/typing \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "locationId": "ve9EPM428h8vShlRW1KT",
  "isTyping": true,
  "visitorId": "ve9EPM428h8vShlRW1KT",
  "conversationId": "ve9EPM428h8vShlRW1KT"
}
'
{
  "success": true
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-04-15

Body

application/json
locationId
string
required

Location Id

Example:

"ve9EPM428h8vShlRW1KT"

isTyping
string
required

Typing status

Example:

true

visitorId
string
required

visitorId is the Unique ID assigned to each Live chat visitor. visitorId will be added soon in GET Contact API

Example:

"ve9EPM428h8vShlRW1KT"

conversationId
string
required

Conversation Id

Example:

"ve9EPM428h8vShlRW1KT"

Response

Show typing indicator for live chat

success
boolean
required
Last modified on March 4, 2026